summaryrefslogtreecommitdiffstats
path: root/busybox.pkg/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'busybox.pkg/postinst')
-rwxr-xr-xbusybox.pkg/postinst4
1 files changed, 2 insertions, 2 deletions
diff --git a/busybox.pkg/postinst b/busybox.pkg/postinst
index f5a66aa..6de6916 100755
--- a/busybox.pkg/postinst
+++ b/busybox.pkg/postinst
@@ -5,14 +5,14 @@ if [ "x${1}" = 'xconfigure' ]; then
update-alternatives --install "${link}" "${name}" \
"${link}.busybox" "${prio}"
done </usr/share/busybox/alternatives
- if ! [ -e /etc/rc.policy ]; then
+ if ! [ -f /etc/rc.policy ]; then
if [ "x$(cat /etc/proteanos_plat)" = 'xdev' ]; then
printf 'disabled' >/etc/rc.policy
else
printf 'enabled' >/etc/rc.policy
fi
fi
- if [ -e /usr/share/busybox/init-scripts ]; then
+ if [ -f /usr/share/busybox/init-scripts ]; then
while read script; do
if [ "x${2:+set}" != 'xset' ]; then
"/etc/init.d/${script}" enable